commit 6676f4025265eefbdb97b6cada45977f5eebcc89
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Nov 12 00:17:14 2020 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 813e33c54be..e7cb0996590 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,9 @@
+2020-11-11  liuhongt  <hongtao.liu@intel.com>
+
+	* config/i386/i386-options.c (ix86_option_override_internal):
+	Handle PTA_CLDEMOTE.
+	* config/i386/i386.h (PTA_CLDEMOTE): Define.
+
 2020-11-10  Jakub Jelinek  <jakub@redhat.com>
 
 	PR tree-optimization/97764
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index bb826fc6328..95634e06f0d 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20201111
+20201112
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index 0cd89710afc..c95d058e85d 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,21 @@
+2020-11-11  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gcc-interface/trans.c (build_binary_op_trapv): Convert operands
+	to the result type before doing generic overflow checking.
+
+2020-11-11  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gcc-interface/trans.c (can_be_lower_p): Remove.
+	(Regular_Loop_to_gnu): Add ENTRY_COND unconditionally if
+	BOTTOM_COND is non-zero.
+
+2020-11-11  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gcc-interface/trans.c (gnat_to_gnu) <N_Op_Shift>: Also convert
+	GNU_MAX_SHIFT if the type of the operation has been changed.
+	* gcc-interface/utils.c (can_materialize_object_renaming_p): Add
+	pair of missing parentheses.
+
 2020-09-28  Eric Botcazou  <ebotcazou@adacore.com>
 
 	* gcc-interface/decl.c (maybe_saturate_size): Add ALIGN parameter
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 0af1742303b..a490dd038ee 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,15 @@
+2020-11-11  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2020-11-11  Jakub Jelinek  <jakub@redhat.com>
+
+	PR fortran/97768
+	* misc.c (gfc_typename): Use ex->value.character.length only if
+	ex->expr_type == EXPR_CONSTANT.  If ex->ts.deferred, print : instead
+	of length.  If ex->ts.u.cl && ex->ts.u.cl->length == NULL, print *
+	instead of length.  Otherwise if character length is non-constant,
+	print just CHARACTER or CHARACTER(KIND=N).
+
 2020-11-06  Tobias Burnus  <tobias@codesourcery.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 146cb0968cc..5ea926b2445 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,34 @@
+2020-11-11  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gnat.dg/bias2.adb: New test.
+
+2020-11-11  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gnat.dg/opt89.adb: New test.
+
+2020-11-11  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gnat.dg/shift1.adb: New test.
+
+2020-11-11  Richard Biener  <rguenther@suse.de>
+
+	Backported from master:
+	2020-11-11  Richard Biener  <rguenther@suse.de>
+
+	PR testsuite/97797
+	* gcc.dg/torture/ssa-fre-5.c: Use __SIZETYPE__ where
+	appropriate.
+	* gcc.dg/torture/ssa-fre-6.c: Likewise.
+
+2020-11-11  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2020-11-11  Jakub Jelinek  <jakub@redhat.com>
+
+	PR fortran/97768
+	* gfortran.dg/pr97768_1.f90: New test.
+	* gfortran.dg/pr97768_2.f90: New test.
+
 2020-11-10  Jakub Jelinek  <jakub@redhat.com>
 
 	PR tree-optimization/97764
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index ade30079569..191b9bf1cdb 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,13 @@
+2020-11-11  Paul Scharnofske  <asynts@gmail.com>
+
+	Backported from master:
+	2020-11-11  Paul Scharnofske  <asynts@gmail.com>
+
+	* include/std/thread (jthread::operator=(jthread&&)): Transfer
+	any existing state to a temporary that will request a stop and
+	then join.
+	* testsuite/30_threads/jthread/jthread.cc: Test move assignment.
+
 2020-11-05  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:

